﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using System.Threading;
using System.Globalization;

namespace howto_convert_to_propercase
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        // Convert the text to proper case.
        private void btnConvert_Click(object sender, EventArgs e)
        {
            string txt = txtString.Text;

            // Convert to proper case.
            CultureInfo culture_info = Thread.CurrentThread.CurrentCulture;
            TextInfo text_info = culture_info.TextInfo;
            txt = text_info.ToTitleCase(txt);

            txtString.Text = txt;
        }
    }
}
